# TGray16 Class Reference

List of all members.

## Public Member Functions
| TGray16 ()
| TGray16 (uint8 value)
| TGray16 (real32 value)
| TGray16 (TFixed214 value)
| TGray16 (uint16 value)
void | From8 (uint8 value)
void | FromReal (real32 value)
void | FromFixed214 (TFixed214 value)
uint8 | To8 () const
real32 | ToReal () const
TFixed214 | ToFixed214 () const
uint16 | Load16 () const
void | Store16 (const uint16 value)
TGray16 | operator+ (const TGray16 &c2) const
TGray16 | operator- (const TGray16 &c2) const
TGray16 | operator- () const
TGray16 | operator* (const TGray16 &c2) const
TGray16 | operator/ (const TGray16 &c2) const
TGray16 | operator>> (uint8 i) const
TGray16 | operator<< (uint8 i) const
TGray16 & | operator>>= (uint8 i)
TGray16 & | operator<<= (uint8 i)
TGray16 & | FastDivide (TGray16 &c2)
TGray16 | ClampZeroToOne () const
TGray16 | Fractional () const
boolean | operator== (const TGray16 &c2) const
boolean | operator!= (const TGray16 &c2) const
boolean | operator<= (const TGray16 &c2) const
boolean | operator>= (const TGray16 &c2) const
boolean | operator< (const TGray16 &c2) const
boolean | operator> (const TGray16 &c2) const
boolean | IsPositive () const
boolean | IsZero () const
TGray16 & | operator= (const TGray16 &s)
TGray16 & | operator+= (const TGray16 &c2)
TGray16 & | operator-= (const TGray16 &c2)
TGray16 & | operator*= (const TGray16 &c2)
TGray16 & | operator/= (const TGray16 &c2)
TGray16 & | operator*= (const int16 i)
TGray16 & | operator/= (const int16 i)
TGray16 | operator* (const int16 c2) const
boolean | operator== (const TFixed214 c2) const
boolean | operator<= (const TFixed214 c2) const
boolean | operator>= (const TFixed214 c2) const
boolean | operator< (const TFixed214 c2) const
boolean | operator> (const TFixed214 c2) const
TGray16 & | Blend (const TGray16 &val, const TGray16 &alpha)
## Static Public Attributes
static const TGray16 | kZero
static const TGray16 | kTiny
static const TGray16 | k1o12
static const TGray16 | k1o6
static const TGray16 | k1o4
static const TGray16 | k1o3
static const TGray16 | k1o2
static const TGray16 | k2o3
static const TGray16 | k3o4
static const TGray16 | kOne
static const TGray16 | kMinusTwo
static const TGray16 | kMax
static uint32 * | fFastDivideTable
## Private Member Functions
int16 | RtoI (real32 value)
## Private Attributes
TFixed214 | fValue
## Static Private Attributes
static const real32 | k1o16384
## Friends
class | TGray32

## Detailed Description

Fixed precision monochrome class

## Constructor & Destructor Documentation

TGray16::TGray16 | ( |  | ) | `[inline]`

TGray16::TGray16 | ( | uint8 | value | ) | `[inline, explicit]`

TGray16::TGray16 | ( | real32 | value | ) | `[inline, explicit]`

TGray16::TGray16 | ( | TFixed214 | value | ) | `[inline, explicit]`

TGray16::TGray16 | ( | uint16 | value | ) | `[inline, explicit]`

## Member Function Documentation

TGray16& TGray16::Blend | ( | const TGray16 & | val,
|  | const TGray16 & | alpha |
| ) |  |  | `[inline]`

TGray16 TGray16::ClampZeroToOne | ( |  | ) | const`[inline]`

TGray16 & TGray16::FastDivide | ( | TGray16 & | c2 | ) | `[inline]`

TGray16 TGray16::Fractional | ( |  | ) | const`[inline]`

void TGray16::From8 | ( | uint8 | value | ) | `[inline]`

void TGray16::FromFixed214 | ( | TFixed214 | value | ) | `[inline]`

void TGray16::FromReal | ( | real32 | value | ) | `[inline]`

boolean TGray16::IsPositive | ( |  | ) | const`[inline]`

boolean TGray16::IsZero | ( |  | ) | const`[inline]`

uint16 TGray16::Load16 | ( |  | ) | const`[inline]`

boolean TGray16::operator!= | ( | const TGray16 & | c2 | ) | const`[inline]`

TGray16 TGray16::operator* | ( | const int16 | c2 | ) | const`[inline]`

TGray16 TGray16::operator* | ( | const TGray16 & | c2 | ) | const`[inline]`

TGray16& TGray16::operator*= | ( | const int16 | i | ) | `[inline]`

TGray16& TGray16::operator*= | ( | const TGray16 & | c2 | ) | `[inline]`

TGray16 TGray16::operator+ | ( | const TGray16 & | c2 | ) | const`[inline]`

TGray16& TGray16::operator+= | ( | const TGray16 & | c2 | ) | `[inline]`

TGray16 TGray16::operator- | ( |  | ) | const`[inline]`

TGray16 TGray16::operator- | ( | const TGray16 & | c2 | ) | const`[inline]`

TGray16& TGray16::operator-= | ( | const TGray16 & | c2 | ) | `[inline]`

TGray16 TGray16::operator/ | ( | const TGray16 & | c2 | ) | const`[inline]`

TGray16& TGray16::operator/= | ( | const int16 | i | ) | `[inline]`

TGray16& TGray16::operator/= | ( | const TGray16 & | c2 | ) | `[inline]`

boolean TGray16::operator< | ( | const TFixed214 | c2 | ) | const`[inline]`

boolean TGray16::operator< | ( | const TGray16 & | c2 | ) | const`[inline]`

TGray16 TGray16::operator<< | ( | uint8 | i | ) | const`[inline]`

TGray16& TGray16::operator<<= | ( | uint8 | i | ) | `[inline]`

boolean TGray16::operator<= | ( | const TFixed214 | c2 | ) | const`[inline]`

boolean TGray16::operator<= | ( | const TGray16 & | c2 | ) | const`[inline]`

TGray16& TGray16::operator= | ( | const TGray16 & | s | ) | `[inline]`

boolean TGray16::operator== | ( | const TFixed214 | c2 | ) | const`[inline]`

boolean TGray16::operator== | ( | const TGray16 & | c2 | ) | const`[inline]`

boolean TGray16::operator> | ( | const TFixed214 | c2 | ) | const`[inline]`

boolean TGray16::operator> | ( | const TGray16 & | c2 | ) | const`[inline]`

boolean TGray16::operator>= | ( | const TFixed214 | c2 | ) | const`[inline]`

boolean TGray16::operator>= | ( | const TGray16 & | c2 | ) | const`[inline]`

TGray16 TGray16::operator>> | ( | uint8 | i | ) | const`[inline]`

TGray16& TGray16::operator>>= | ( | uint8 | i | ) | `[inline]`

int16 TGray16::RtoI | ( | real32 | value | ) | `[inline, private]`

void TGray16::Store16 | ( | const uint16 | value | ) | `[inline]`

uint8 TGray16::To8 | ( |  | ) | const`[inline]`

TFixed214 TGray16::ToFixed214 | ( |  | ) | const`[inline]`

real32 TGray16::ToReal | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

friend class TGray32`[friend]`

## Member Data Documentation

uint32* TGray16::fFastDivideTable`[static]`

TFixed214 TGray16::fValue`[private]`

const TGray16 TGray16::k1o12`[static]`

const real32 TGray16::k1o16384`[static, private]`

const TGray16 TGray16::k1o2`[static]`

const TGray16 TGray16::k1o3`[static]`

const TGray16 TGray16::k1o4`[static]`

const TGray16 TGray16::k1o6`[static]`

const TGray16 TGray16::k2o3`[static]`

const TGray16 TGray16::k3o4`[static]`

const TGray16 TGray16::kMax`[static]`

const TGray16 TGray16::kMinusTwo`[static]`

const TGray16 TGray16::kOne`[static]`

const TGray16 TGray16::kTiny`[static]`

const TGray16 TGray16::kZero`[static]`

The documentation for this class was generated from the following file:

- MCColor16.h